Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156313 (CVE-2005-1229) - CVE-2005-1229 cpio directory traversal issue
Summary: CVE-2005-1229 cpio directory traversal issue
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2005-1229
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cpio
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard: impact=low,public=20050420,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 20:43 UTC by Josh Bressers
Modified: 2011-01-26 17:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-26 14:29:34 UTC


Attachments (Terms of Use)
fix candidate (deleted)
2005-06-02 09:49 UTC, Peter Vrabec
no flags Details | Diff

Description Josh Bressers 2005-04-28 20:43:51 UTC
Directory traversal vulnerability in cpio 2.6 and earlier allows remote
attackers to write to arbitrary directories via a .. (dot dot) in a cpio file.

Comment 1 Josh Bressers 2005-04-28 20:44:12 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-04-28 20:44:58 UTC
Here's the original post:
http://marc.theaimsgroup.com/?l=bugtraq&m=111403177526312&w=2

Comment 3 Peter Vrabec 2005-06-02 09:49:35 UTC
Created attachment 115079 [details]
fix candidate

Replace option --no-absolute-filenames	with --absolute-filenames
Not allow insecure filenames like "/tmp/../../etc/cron/..." ( strip
"/tmp/../../")

but there is a still problem with symlinks in cpio
http://lists.gnu.org/archive/html/bug-cpio/2005-05/msg00003.html

Comment 4 Mark J. Cox 2005-10-26 14:29:34 UTC
This is a funtionality change to fix something that is defined, documented
behaviour.  Therefore a security team review on 20051026 decided this should be
marked as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.